// This is a simple example
package main

import 	(
//	"os/user"
//	"io/ioutil"
//	"strings"

//	"go.wit.com/log"

	"go.wit.com/gui/gui"
//	"go.wit.com/gui/gadgets"
	"go.wit.com/gui/gadgets/repostatus"
//	"go.wit.com/apps/control-panel-dns/smartwindow"
)

var myGui *gui.Node

var allrepos []*repo

type repo struct {
	path string
	lasttagrev string
	lasttag string
	tags []string

	pLabel *gui.Node // path label
	bLabel *gui.Node // branch label
	lastLabel *gui.Node // last tagged version label
	vLabel *gui.Node // version label
	// tagsDrop *gui.Node // list of all tags
	dirtyLabel *gui.Node // git state (dirty or not?)

	masterVersion *gui.Node // the master branch version
	develVersion *gui.Node // the devel branch version
	jcarrVersion *gui.Node // the jcarr branch version

	cButton *gui.Node // commit button
	pButton *gui.Node // push button

	status *repostatus.RepoStatus
}
